API referenceMedia
POST /media
Upload media (multipart file, base64 JSON, or public URL import)
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
- body
file*fileFormat
binary{media}; media.publicUrl can be used as mediaUrl/mediaUrls
application/json- response
media?curl -X POST 'https://example.com/api/v1/media' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "media": { "id": "string", "postId": "string", "fileName": "string", "mimeType": "string", "size": 0, "createdAt": "2019-08-24T14:15:22Z", "publicUrl": "string" }}